IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The review product object

Attributes

iduuid
product_iduuid
products.id
review_iduuid
reviews.id
created_attimestamp with time zone
The review product object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "review_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:19:01.541Z"
}

List review products

Filters

idFilter<uuid>
product_idFilter<uuid>
products.id
review_idFilter<uuid>
reviews.id
created_atFilter<timestamp with time zone>

Responses

200

A list of review products with the selected columns

206

Partial Content

GET /review_products
curl -X GET "https://api.bookingmood.com/v1/review_products?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create review products

Body

Partial<ReviewProduct> | Array<Partial<ReviewProduct>>

Responses

201

The newly created review products with the selected columns

POST /review_products
curl -X POST "https://api.bookingmood.com/v1/review_products" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete review products

Filters

idFilter<uuid>
product_idFilter<uuid>
products.id
review_idFilter<uuid>
reviews.id
created_atFilter<timestamp with time zone>

Responses

204

The deleted review products with the selected columns

DELETE /review_products
curl -X DELETE "https://api.bookingmood.com/v1/review_products" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update review products

Filters

idFilter<uuid>
product_idFilter<uuid>
products.id
review_idFilter<uuid>
reviews.id
created_atFilter<timestamp with time zone>

Body

Partial<ReviewProduct>

Responses

204

The updated review products with the selected columns

PATCH /review_products
curl -X PATCH "https://api.bookingmood.com/v1/review_products" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'